package com.starbuds.server.service.data.config;

import com.alibaba.fastjson.JSONObject;
import com.starbuds.server.common.service.data.ReleaseConfigService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
public class ShumeiConfig {

    @Resource
    ReleaseConfigService releaseConfigService;


    private JSONObject getConfig() {
        return JSONObject.parseObject(releaseConfigService.getReleaseConfig("shumei"));
    }

    public String appId() {
        return getConfig().getString("appId");
    }

    public String accessKey() {
        return getConfig().getString("accessKey");
    }

    public String riskHost() {
        return getConfig().getString("riskHost");
    }

    public String texthost() {
        return getConfig().getString("texthost");
    }

    public String imghost() {
        return getConfig().getString("imghost");
    }
}
