package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.DataForbiddenWordOptionVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/13
 */
@Mapper
@Repository
public interface DataForbiddenWordOptionDAO {
    /**
     * 查询所有禁言选项
     *
     * @return
     */
    List<DataForbiddenWordOptionVO> selectAll();

    /**
     * 根据 id 查询禁言选项
     *
     * @param optionId
     * @return
     */
    DataForbiddenWordOptionVO selectById(@Param("optionId") Long optionId);
}
