package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.DataPushConfigDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/6/17 15:53
 * @Description 推送配置持久层
 */
@Mapper
@Repository
public interface DataPushConfigDAO {

    /**
     * 获取推送配置
     *
     * @param packageName
     * @return
     */
    DataPushConfigDO selectByPackageName(@Param("packageName") String packageName);

}
