package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.SingleChatEvaluateTagVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/23
 */
@Mapper
@Repository
public interface DataSingleChatEvaluateTagDAO {
    /**
     * 查询所有
     *
     * @param tagType
     * @return
     */
    List<SingleChatEvaluateTagVO> selectAll(@Param("tagType") Integer tagType);

    /**
     * 根据 id 列表统计
     *
     * @param list
     * @return
     */
    int countByIds(List<Long> list);
}
