package com.starbuds.server.service.data.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/6/24 14:13
 * @Description 家族技能
 */
@Mapper
@Repository
public interface FamilySkillDAO {

    /**
     * 判断是否存在
     *
     * @param familyId
     * @param userId
     * @param skillId
     * @param skillStatus
     * @return
     */
    int countByIdAndStatus(@Param("familyId") Long familyId, @Param("userId") Long userId, @Param("skillId") Long skillId, @Param("skillStatus") Integer skillStatus);

}
