package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.OneKeyLoginAgentDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/6 18:18
 * @Description 一键登录服务商持久层
 */
@Mapper
@Repository
public interface OneKeyLoginAgentDAO {

    /**
     * 获取一键登录agent
     *
     * @param agentId 代理商id
     * @return agent
     */
    OneKeyLoginAgentDO getOneKeyLoginAgent(@Param("agentId") Long agentId);

}
