package com.starbuds.server.service.data.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/3/8 18:31
 * @Description 手机区号
 */
@Mapper
@Repository
public interface PhoneAreaCodeDAO {

    /**
     * 根据id获取区号
     *
     * @param countryId
     * @return
     */
    String selectAreaCodeById(@Param("countryId") Integer countryId);

}
