package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.PlayTopItem;
import com.starbuds.server.common.pojo.db.PlayTopDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/2/19 18:32
 * @Description 陪玩头条持久层（陪玩 改 开黑）
 */
@Mapper
@Repository
public interface PlayTopDAO {

    /**
     * 插入
     *
     * @param playTopDO
     * @return
     */
    int insert(PlayTopDO playTopDO);

    /**
     * 获取列表
     *
     * @param pageSize
     * @return
     */
    List<PlayTopItem> selectList(@Param("pageSize") int pageSize);
}
