package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.RtcRoomCategoryDO;
import com.starbuds.server.common.pojo.rtc.RtcRoomCategory;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/7/6
 */
@Mapper
@Repository
public interface RtcRoomCategoryDAO {
    /**
     * 根据 id 查询
     *
     * @param categoryId
     * @return
     */
    int countById(@Param("categoryId") Long categoryId);

    /**
     * 获取分类
     *
     * @param categoryIds
     * @return
     */
    List<RtcRoomCategory> selectCategories(@Param("categoryIds") List<Long> categoryIds);


    List<RtcRoomCategoryDO> findByIds(@Param("categoryIds") long[] categoryIds);

}
