package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.RtcRoomDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/12 14:22
 * @Description 语聊房间持久层
 */
@Mapper
@Repository
public interface RtcRoomDAO {

    /**
     * 根据id查询
     *
     * @param roomId
     * @return
     */
    RtcRoomDO selectById(@Param("roomId") Long roomId);

}
