package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.SmsSignDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * SmsSignDAO
 *
 * @author Lay
 * @date 2019/12/6
 */
@Mapper
@Repository
public interface SmsSignDAO {
    /**
     * 根据 id 查询签名
     *
     * @param signId
     * @param agentId
     * @return
     */
    SmsSignDO selectSignById(@Param("signId") Long signId, @Param("agentId") Long agentId);
}
