package com.starbuds.server.service.data.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * SmsTemplateDAO
 *
 * @author Lay
 * @date 2019/12/6
 */
@Mapper
@Repository
public interface SmsTemplateDAO {
    /**
     * 查询模板代码
     *
     * @param agentId
     * @param smsType
     * @param smsAction
     * @param templateType
     * @return
     */
    String selectCodeByAgentIdSmsTypeAndSmsAction(@Param("agentId") Long agentId, @Param("smsType") Integer smsType, @Param("smsAction") Integer smsAction, @Param("templateType") Integer templateType);
}
