package com.starbuds.server.service.data.entity.green;

import com.starbuds.server.common.constant.data.GreenAuditStatusEnum;
import lombok.Data;

/**
 * 内容审核机器审核结果
 *
 * @author aoe
 * @date 2021/8/20
 */
@Data
public class GreenRobotAuditResult {

    /**
     * 审核状态关键值(可以直接判断出审核结果)
     */
    private String statusKye;

    /**
     * 机器审核状态
     */
    private GreenAuditStatusEnum robotAuditStatus;

    /**
     * 审核不通过的简要原因
     */
    private String failMsg;
}
