package com.starbuds.server.service.data.impl;

import com.starbuds.server.common.pojo.data.EntranceVO;
import com.starbuds.server.common.service.data.EntranceService;
import com.starbuds.server.service.data.dao.EntranceDAO;
import org.apache.dubbo.config.annotation.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/6/23 14:43
 * @Description 入口
 */
@Service(version = "1.0.0")
public class EntranceServiceImpl implements EntranceService {

    @Resource
    EntranceDAO entranceDAO;

    /**
     * 获取入口
     *
     * @return
     */
    @Override
    public List<EntranceVO> getEntrances() {
        return entranceDAO.selectEntrances();
    }
}
