package com.starbuds.server.service.data.impl;

import com.starbuds.server.common.pojo.db.RtcRoomCategoryDO;
import com.starbuds.server.common.service.data.RtcRoomCategoryService;
import com.starbuds.server.service.data.dao.RtcRoomCategoryDAO;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author: ruomu
 * @date: 2021/11/26 created
 */

@Service(version = "1.0.0")
@Slf4j
public class RtcRoomCategoryServiceImpl implements RtcRoomCategoryService {

    @Resource
    RtcRoomCategoryDAO rtcRoomCategoryDAO;

    @Override
    public int countById(Long categoryId) {
        return rtcRoomCategoryDAO.countById(categoryId);
    }

    @Override
    public List<RtcRoomCategoryDO> findByIds(long[] categoryIds) {
        return rtcRoomCategoryDAO.findByIds(categoryIds);
    }


}
