package com.starbuds.server.service.data.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/5/16
 */
@Mapper
@Repository
public interface DataCountryEnDAO {
    /**
     * 根据英文名查中文名
     *
     * @param chineseName
     * @return
     */
    String selectEnglishNameByChineseName(@Param("chineseName") String chineseName);
}
