package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.DataLiveTagDO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/25
 */
@Mapper
@Repository
public interface DataLiveTagDAO {

    /**
     * 根据 id 批量查询
     *
     * @param tagIds
     * @return
     */
    List<DataLiveTagDO> selectByIds(List<Long> tagIds);
}
