package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.DataMsgHisVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-01-11 17:34:02
 * @Description 敏感词汇持久层
 */
@Mapper
@Repository
public interface DataMsgHisDAO {

    int updateBykey(@Param("state") int state, @Param("updateTime") Long createTime, @Param("key") String key);

    int insert(DataMsgHisVO dataMsgHisVO);

    int deleteSucceedRecord();
}
