package com.starbuds.server.service.data.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-05-12 17:43:23
 * @Description 国际电话区号表持久层
 */
@Mapper
@Repository
public interface DataPhoneAreaCodeDAO {

    /**
     * 根据国家地区查询区号
     *
     * @param country
     * @return
     */
    String selectAreaCodeByCountry(@Param("country") String country);

}
