package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.DataReportReasonDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/30
 */
@Mapper
@Repository
public interface DataReportReasonDAO {
    /**
     * 查询全部
     *
     * @return
     */
    List<DataReportReasonDO> selectAll();

    /**
     * 根据 id 统计
     *
     * @param reasonId
     * @return
     */
    int countById(@Param("reasonId") Long reasonId);
}
