package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.RtcRoomBackground;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/7/6
 */
@Mapper
@Repository
public interface DataRtcRoomBackgroundDAO {
    /**
     * 查询所有
     *
     * @return
     */
    List<RtcRoomBackground> selectAll();

    /**
     * 根据 id 统计
     *
     * @param backgroundId
     * @return
     */
    int countById(@Param("backgroundId") Integer backgroundId);

    /**
     * 根据 id 查询
     *
     * @param backgroundId
     * @return
     */
    RtcRoomBackground selectById(@Param("backgroundId") Integer backgroundId);
}
