package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.UserTagVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/27
 */
@Mapper
@Repository
public interface DataUserTagDAO {
    /**
     * 查询所有
     *
     * @param tagType
     * @return
     */
    List<UserTagVO> selectAll(@Param("tagType") Integer tagType);
}
