package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.OauthConfigDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2019-12-09 16:45:14
 * @Description OauthConfig持久层
 */
@Mapper
@Repository
public interface OauthConfigDAO {

    /**
     * 根据配置id获取appId和appSecret
     */
    OauthConfigDO getAppIdAndSecretConfig(@Param("configId") Long configId);

}
