package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.PosterImageDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-05-19 16:26:41
 * @Description 海报图持久层
 */
@Mapper
@Repository
public interface PosterImageDAO {

    /**
     * 获取海报图
     *
     * @param channelId
     * @param imageType
     * @return
     */
    List<PosterImageDO> selectPosterImages(@Param("channelId") Long channelId,
                                           @Param("imageType") Integer imageType);

}
