package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.SkillTagVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/10/15 17:28
 * @Description 技能标签持久层
 */
@Mapper
@Repository
public interface SkillTagDAO {

    /**
     * 判断是否存在
     *
     * @param tagId
     * @return
     */
    int countById(@Param("tagId") Long tagId);

    /**
     * 获取标签
     *
     * @param skillId
     * @return
     */
    List<SkillTagVO> selectTags(@Param("skillId") Long skillId);

}
