package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.SmsAgentDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * SmsAgentDAO
 *
 * @author Lay
 * @date 2019/12/6
 */
@Mapper
@Repository
public interface SmsAgentDAO {
    /**
     * 根据 id 获取 Key 和 Secret
     *
     * @param agentId
     * @return
     */
    SmsAgentDO selectKeyAndSecretById(@Param("agentId") Long agentId);
}
