package com.starbuds.server.service.data.impl;

import com.alibaba.fastjson.JSONObject;
import com.starbuds.server.common.pojo.data.OcrResultVO;
import com.starbuds.server.common.service.finance.OcrService;
import com.starbuds.server.service.data.provider.OcrBaiduProvider;
import com.starbuds.server.service.data.provider.OcrProvider;
import org.apache.dubbo.config.annotation.Service;

import javax.annotation.Resource;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/24 18:28
 * @Description ocr识别
 */
@Service(version = "1.0.0")
public class OcrServiceImpl implements OcrService {

    @Resource
    private OcrProvider ocrProvider;

    @Resource
    private OcrBaiduProvider ocrBaiduProvider;

    @Override
    public OcrResultVO doOcr(String imgUrl) {
        return ocrBaiduProvider.doOcr(imgUrl);
    }

}
